package seal_request

import (
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
)

type SealcategoryListRequest struct {
	// <ext>core:true</ext> 【分页索引】分页索引 【传参】 单位：页。最小值：1（包含）。不传值默认为：1。
	PageNo *int64 `json:"pageNo,omitempty"`
	// <ext>core:true</ext> 【分页大小】分页大小 【传参】 单位：条。最小值：1（包含）。不传值默认为：10。
	PageSize *int64 `json:"pageSize,omitempty"`
	// <ext>core:true</ext> 【印章类型名称】印章类型名称 【作用】模糊匹配包含此名称的所有印章类型。
	Keyword string `json:"keyword,omitempty"`
}

func (obj SealcategoryListRequest) GetUrl() string {
	return "/sealcategory/list"
}

func (obj SealcategoryListRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewGetHttpParameter()
	parameter.AddParam("pageNo", obj.PageNo)
	parameter.AddParam("pageSize", obj.PageSize)
	parameter.AddParam("keyword", obj.Keyword)
	return parameter
}
